#include "vision.h"
std::vector<int> getVisionPattern1d()
{
    std::vector<int>ans;
    int i=1;
    ans.push_back(1);
    ans.push_back(1);
    ans.push_back(2);
    ans.push_back(1);
    ans.push_back(3);
    return ans;
}
int getMove1d(std::vector<int> v)
{
    int i=0;
    for(auto x:v){
        i++;
    }
    int poz=i/2;
    if(v[poz]==1){
        if(v[poz+1]==2){
            if(v[poz-1]==1)
            return poz+1;
            else
            return poz-1;
        }
        else if(v[poz+1]==1){
            if(v[poz-1]==3){
                return poz+1;
            }
            else
                return poz-1;
        }
        else {
            if(v[poz-1]==2){
                return poz+1;
            }
            else
                return poz-1;
        }
    }
    if(v[poz]==2){
        if(v[poz+2]==3){
            return poz+1;
        }
        else{
            return poz-1;
        }
    }
    if(v[poz]==3){
        if(v[poz+2]==1){
            return poz+1;
        }
        else{
            return poz-1;
        }
    }
}
std::vector<std::vector<int>> getVisionPattern2d()
{

}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{

}